.menu {
	margin-bottom: 0;
}

.top-menu {
	&[data-depth="1"] {
		padding: 20px;
		height: 100%;
	}

	&[data-depth="0"] {
		margin-bottom: 0;
	}

	a:not([data-depth="0"]) {
		display: block;
		padding: 0.625rem;
		font-weight: 400;
		color: $gray;
	}

	a.dropdown-submenu {
		font-weight: 600;
		color: $gray-darker;
		text-transform: uppercase;
	}

	a[data-depth="0"] {
		padding: $small-space;
		font-size: 1.125rem;
		font-weight: 600;

		&:hover {
			#header & {
				color: $brand-primary;
				text-decoration: none;
			}
		}
	}

	a[data-depth="1"],
	a[data-depth="2"] {
		padding: 0 0.625rem 0.625rem 0;
		font-weight: 500;
	}

	.collapse {
		display: inherit;
	}

	.sub-menu {
		z-index: -1;
		width: 35%;
		min-width: 160px;
		visibility: hidden;
		border: none;
		left: auto;
		right: auto;
		opacity: 0;
		transition: opacity 0.5s ease, visibility 0.5s ease;
		top: 195.297px;

		&.collapse {
			visibility: hidden;
			opacity: 0;
			top: 100% !important;

			&.in {
				visibility: visible;
				opacity: 1;
			}
		}

		ul[data-depth="1"] > li {
			float: left;
			margin: 0 1.25rem;
		}

		a:hover {
			color: $brand-primary;
		}
	}

	.popover {
		max-width: inherit;
		border-radius: 0;
	}
}

.popover.bs-tether-element-attached-top {
	margin-top: 0;
}

#_desktop_top_menu {
	.top-menu {
		&[data-depth="0"] {
			li {
				&:hover {
					.sub-menu {
						visibility: visible;
						opacity: 1;
					}
				}
			}
		}
	}
}

#mobile_top_menu_wrapper {
	padding: 15px;
	background: $white;

	#top-menu {
		margin-bottom: 0.625rem;
	}

	.top-menu {
		color: $gray-darker;

		.collapse-icons[aria-expanded="true"] {
			.add {
				display: none;
			}

			.remove {
				display: block;
			}
		}

		.collapse-icons .remove {
			display: none;
		}

		.navbar-toggler {
			display: inline-block;
			padding: 0;
		}

		a[data-depth="0"] {
			padding: 0.625rem;
			border-bottom: 1px solid $gray-lighter;
		}

		.collapse {
			display: none;

			&.in {
				display: block;
			}
		}

		.sub-menu {
			position: static;
			z-index: inherit;
			display: block;
			width: 100%;
			min-width: 100%;
			margin-left: 0;
			overflow: hidden;
			background: $white;
			box-shadow: none;

			&.collapse {
				display: none;

				&.in {
					display: block;
				}
			}

			ul[data-depth="0"] > li {
				border-bottom: 1px solid $gray;
			}

			ul[data-depth="1"] {
				margin: 0;

				> li {
					float: none;
					margin: 0;

					a {
						text-transform: none;
					}
				}
			}

			ul {
				padding: 0;
			}

			li > a {
				padding: 0.625rem;
				font-weight: 600;
				border-bottom: 1px solid $white;
			}

			ul[data-depth="2"] li a {
				padding-left: 1.25rem;
			}

			ul[data-depth="3"] li a {
				padding-left: 2.5rem;
			}

			ul[data-depth="4"] li a {
				padding-left: 3.75rem;
			}
		}
	}

	.js-top-menu-bottom {
		a {
			color: $gray;
		}

		.language-selector-wrapper {
			padding: 0.625rem;

			.language-selector {
				display: inline;
			}
		}

		.currency-selector {
			padding: 0.625rem;
		}

		#contact-link {
			padding: 0.625rem;
		}

		.user-info {
			padding: 0 0.625rem;

			a {
				display: block;
				width: 100%;
				padding: 0.625rem 0;
			}
		}
	}
}

nav {
	&.sidebar {
		display: flex;
		flex-direction: column;
		justify-content: space-around;
		position: fixed;
		left: -85%;
		color: #000;
		top: 0;
		bottom: 0;
		width: 80%;
		background-color: $white;
		z-index: 999;
		box-shadow: 3px 3px 3px rgba(0, 0, 0, 0.2);
		transition: 0.3s;

		&.active {
			left: 0;
		}

		.nav-head {
			position: relative;
			padding: 20px 10px 20px;
		}

		.mobile-menu {
			flex: 1;
			overflow: auto;
			padding-bottom: 20px;
			-webkit-overflow-scrolling: touch;
		}
	}

	.dismiss {
		width: 45px;
		height: 45px;
		position: absolute;
		top: 15px;
		right: 10px;
		text-align: center;
		line-height: 45px;
		font-size: 20px;
		z-index: 50;
	}
}

.menu-mobile {
	font-size: 22px;
}

.overlay {
	display: none;
	position: fixed;
	top: 0;
	/* full screen */
	width: 100vw;
	height: 100vh;
	/* transparent black */
	background: rgba(0, 0, 0, 0.7);
	/* middle layer, i.e. appears below the sidebar */
	z-index: 998;
	opacity: 0;
	/* animate the transition */
	transition: all 0.5s ease-in-out;

	&.active {
		display: block;
		opacity: 1;
	}
}

.nav-mobile a {
	font-size: 20px;
	padding: 13px 6px;
}

.nav-mobile ul {
	margin: 0;
	padding: 0;
	list-style: none;
}

.nav-mobile ul li {
	width: 100%;
	display: block;
	float: left;
	position: relative;
}

.nav-mobile ul li a {
	width: 100%;
	padding: 14px 22px;
	float: left;
	text-decoration: none;
	color: #000;
	font-weight: bold;
	font-size: 16px;
	background: #fff;
	white-space: nowrap;
	position: relative;
	overflow: hidden;
	-o-transition: color 0.2s linear, background 0.2s linear;
	-moz-transition: color 0.2s linear, background 0.2s linear;
	-webkit-transition: color 0.2s linear, background 0.2s linear;
	transition: color 0.2s linear, background 0.2s linear;
}

.nav-mobile a span::before {
	content: "\f107";
	position: absolute;
	right: 15px;
	font-size: 18px;
	-moz-osx-font-smoothing: grayscale;
	-webkit-font-smoothing: antialiased;
	font-family: "Font Awesome 5 Free";
	transition: 0.3s;
}

.nav-mobile a[aria-expanded="true"] span::before {
	content: "\f106";
}

.nav-mobile > ul > li.active > a,
.nav-mobile > ul > li:hover > a {
	color: #000;
	border-bottom: 1px solid #3b424d;
}

.nav-mobile > ul > li > a {
	border-bottom: solid 1px #3b424d;
}

.nav-mobile ul li a i {
	width: 34px;
	float: left;
	line-height: 18px;
	font-size: 16px;
	text-align: left;
}

.nav-mobile .submenu-indicator {
	float: right;
	right: 22px;
	position: absolute;
	line-height: 19px;
	font-size: 20px;
	-o-transition: transform 0.3s linear;
	-moz-transition: transform 0.3s linear;
	-webkit-transition: transform 0.3s linear;
	-ms-transition: transform 0.3s linear;
}

.nav-mobile ul ul.submenu .submenu-indicator {
	line-height: 16px;
}

.nav-mobile .submenu-indicator-minus > .submenu-indicator {
	-ms-transform: rotate(45deg);
	-moz-transform: rotate(45deg);
	-webkit-transform: rotate(45deg);
	transform: rotate(45deg);
}

.nav-mobile ul ul.submenu,
.nav-mobile ul ul.submenu li ul.submenu {
	width: 100%;
	position: static;
}

.nav-mobile ul ul.submenu li {
	clear: both;
	width: 100%;
}

.nav-mobile ul ul.submenu li a {
	width: 100%;
	float: left;
	font-size: 14px;
	border-bottom: 1px solid #dedede;
	background: #fbfbfb;
	border-top: none;
	position: relative;
	border-left: solid 6px transparent;
	-o-transition: border 0.2s linear;
	-moz-transition: border 0.2s linear;
	-webkit-transition: border 0.2s linear;
	transition: border 0.2s linear;
}

.nav-mobile ul ul.submenu li:hover > a {
	border-left-color: #414956;
}

.nav-mobile ul ul.submenu > li > a {
	padding-left: 30px;
}

.nav-mobile ul ul.submenu > li > ul.submenu > li > a {
	padding-left: 45px;
}

.nav-mobile ul ul.submenu > li > ul.submenu > li > ul.submenu > li > a {
	padding-left: 60px;
}

@include media-breakpoint-down(sm) {
	.top-menu {
		.sub-menu {
			visibility: visible;
			opacity: 1;
			transition: 0.5s ease-out;
		}
	}
}
